function entPos = fEntMulti(tableIn, crits)
entPos = [];
if size(tableIn,2) ~= length(crits)
    return
end

hitTable = zeros(size(tableIn,1),length(crits));
for i = 1:length(crits)
    commaPos = strfind(crits{i},',');
    if isempty(commaPos)
        hitTable(:,i) = strcmp(crits{i},tableIn(:,i));
    else
        subCrits = {};
        stringLine = crits{i};
        while length(stringLine) > 0
            commaPos = strfind(stringLine,',');
            if isempty(commaPos)
                subCrits{end+1} = strtrim(stringLine(1:end));
                stringLine(1:end) = [];
            else
                subCrits{end+1} = strtrim(stringLine(1:commaPos-1));
                stringLine(1:commaPos) = [];
            end
        end
        hitCompound = zeros(size(tableIn,1),1);
        for j = 1:length(subCrits)
            hitCompound = hitCompound + strcmp(subCrits{j},tableIn(:,i));
        end
        hitTable(:,i) = hitCompound;
    end
end
hit = sum(hitTable,2);
entPos = find(hit==length(crits));